> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Assets

> Retrieves a list of all assets in the Assets Library.

<ResponseExample>
  ```json Response theme={"system"}
  [
    {
      "id": "507f1f77bcf86cd799439011",
      "name": "gold_coins_icon",
      "type": "product",
      "imageUrl": "https://example.com/assets/gold_coins_icon.png",
      "contentType": "image/png",
      "externalImageUrl": "https://example.com/assets/gold_coins_icon.png"
    },
    {
      "id": "507f1f77bcf86cd799439012",
      "name": "summer_sale_badge",
      "type": "badge",
      "imageUrl": "https://media.appcharge.com/media/691d8c97d-4b55c292b2cg6",
      "contentType": "image/jpeg"
    }
  ]
  ```
</ResponseExample>


## OpenAPI

````yaml openapi-assets-api.json GET /components/v1/asset
openapi: 3.0.3
info:
  title: Assets API
  version: 1.0.0
servers:
  - url: https://api-sandbox.appcharge.com
security:
  - PublisherTokenAuth: []
tags:
  - name: Assets
paths:
  /components/v1/asset:
    get:
      tags:
        - Assets
      description: Retrieves a list of all assets in the Assets Library.
      responses:
        '200':
          description: Assets retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllAssetsResponse'
components:
  schemas:
    GetAllAssetsResponse:
      type: object
      properties:
        getAllAssetsResponse:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Asset ID.
                example: 507f1f77bcf86cd799439011
              name:
                type: string
                description: Asset name.
                example: gold_coins_icon
              type:
                type: string
                description: Asset category.
                enum:
                  - product
                  - badge
                  - bgMobile
                  - bgDesk
                  - logo
                  - favicon
                  - bgBundle
                  - bgPopup
                  - general
                  - section
                  - productPrefix
                  - playerLevel
                  - banner
                  - addToHomeButtonImage
                  - addToHomeIconImage
                  - playerProfileImage
                  - offerHeader
                  - backToGameButtonImage
                  - animation
                  - trait
                example: product
              imageUrl:
                type: string
                format: url
                description: >-
                  Image URL. For uploaded files, this is the Appcharge-hosted
                  CDN URL. For external image URLs, this is the original image
                  URL served from your CDN at the provided URL.
                example: https://media.appcharge.com/media/691d8c9f127412f152236889baf5
              contentType:
                type: string
                description: >-
                  Image [MIME
                  type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Guides/MIME_types).
                example: image/png
              externalImageUrl:
                type: string
                format: url
                description: >-
                  Original image URL if the asset uses an external image URL.
                  This URL is served from your CDN at the provided URL.
                example: https://example.com/assets/gold_coins_icon.png
  securitySchemes:
    PublisherTokenAuth:
      type: apiKey
      in: header
      name: x-publisher-token
      description: Publisher token, as displayed in the Publisher Dashboard.

````